--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Moves the gem <tt>spec</tt> from <tt>source_uri</tt> to the cache dir unless it is already there. If the source_uri is local the gem cache dir copy is always replaced.
full_name: Gem::RemoteFetcher#download
is_singleton: false
name: download
params: (spec, source_uri, install_dir = Gem.dir)
visibility: public
